%define realname    Time-ZoneInfo
%define realversion 0.3
%define version	    0.3.4
%define release     %mkrel 2

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Perl extension for returning a list of Time Zones
Source:     http://www.cpan.org/modules/by-module/Time/%{realname}-%{realversion}.tar.gz
Patch:	    Time-ZoneInfo-0.3-geolocalisation.patch
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildArch: noarch

%description
An OO interface to accessing a list of timezones. This is useful if you
want to provide an interface for your user to choose one of the available
time zones.

Version 0.3.1 also gives the geolocalisation for a time zone.

%prep
%setup -q -n %{realname}-%{realversion}
%patch0 -p1 -b .geo

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.4-2mdv2009.0
+ Revision: 224571
- rebuild

* Sat Feb 23 2008 Pixel <pixel@mandriva.com> 0.3.4-1mdv2008.1
+ Revision: 174090
- 0.3.4: fix getting timezone from /etc/sysconfig/clock

* Thu Feb 21 2008 Pixel <pixel@mandriva.com> 0.3.3-1mdv2008.1
+ Revision: 173505
- 0.3.3: get country code from time zone
  (ie really extract all info from /usr/share/zoneinfo/zone.tab)
- 0.3.2: correctly handle error in ->latitude_longitude_sexagesimal

* Tue Feb 19 2008 Pixel <pixel@mandriva.com> 0.3.1-1mdv2008.1
+ Revision: 172993
- import perl-Time-ZoneInfo


* Tue Feb 19 2008 Pixel <pixel@mandriva.com> 0.3.1-1mdv2008.1
- import
- fork upstream version to add geolocalisation
